X2Go Bug report logs - #948
X2Go Client fails to create xinerama.conf if screen coordinates have negative values

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 24 Sep 2015 10:15:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.5.0

Fixed in version 4.0.5.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#948; Package x2goclient. (Thu, 24 Sep 2015 10:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 24 Sep 2015 10:15:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: X2Go Client fails to create xinerama.conf if screen coordinates have negative values
Date: Thu, 24 Sep 2015 10:13:35 +0000
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.5.0
Severity: normal

Hi,

X2Go Client sometimes fails to create the xinerama.conf file in the  
server-side X2Go Session directory. This only happens, if screen  
coordinates have negative values (which happens when software-side  
swapping the client-side monitor layout via xrandr calls).

See error log below (from x2goclient --debug).

Mike


"""
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via  
SshProcess object 4: "export DISPLAY=:50;printf '\''-959 -599 1920  
1200\n961 -599 1920 1200'\'' >   
$HOME/.x2go/C-localadmin-50-1443008544_stDMATE_dp24/xinerama.conf"
x2go-DEBUG-../src/sshprocess.cpp:204> Running  
masterCon->addChannelConnection(this,  
'"e8c82b86-ae92-4b9b-b5ca-2384cde8ed41"', '"bash -c 'echo  
"X2GODATABEGIN:e8c82b86-ae92-4b9b-b5ca-2384cde8ed41"; export  
PATH="/usr/local/bin:/usr/bin:/bin"; export DISPLAY=:50;printf  
'\''-959 -599 1920 1200\n961 -599 1920 1200'\'' >  $HOME/.x2go"');
x2go-DEBUG-../src/sshmasterconnection.cpp:1284> Locking SSH channel  
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1286> Passing new channel  
conenction object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1288> Unlocking SSH channel  
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1476> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1480> New channel:0x7fd99c0125a0

x2go-DEBUG-../src/sshmasterconnection.cpp:1511> Executing remote:  
"bash -c 'echo "X2GODATABEGIN:e8c82b86-ae92-4b9b-b5ca-2384cde8ed41";  
export PATH="/usr/local/bin:/usr/bin:/bin"; export DISPLAY=:50;printf  
'\''-959 -599 1920 1200\n961 -599 1920 1200'\'' >   
$HOME/.x2go/C-localadmin-50-1443008544_stDMATE_dp24/xinerama.conf;  
echo "X2GODATAEND:e8c82b86-ae92-4b9b-b5ca-2384cde8ed41";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:1534> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:1638> EOF on channel  
0x7fd99c0125a0; SshProcess object: 4
x2go-DEBUG-../src/sshmasterconnection.cpp:1706> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:1710> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:517> SSH finished: raw output  
(stdout): "X2GODATABEGIN:e8c82b86-ae92-4b9b-b5ca-2384cde8ed41
X2GODATAEND:e8c82b86-ae92-4b9b-b5ca-2384cde8ed41
"
x2go-DEBUG-../src/sshprocess.cpp:523> Have stderr only, something must  
be wrong.
x2go-DEBUG-../src/sshprocess.cpp:528> SSH finished: false - "bash:  
Zeile 0: printf: -9: Ungültige Option
printf: Gebrauch: printf [-v var] Format [Argumente]
" (4).

"""
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#948; Package x2goclient. (Thu, 24 Sep 2015 10:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 24 Sep 2015 10:20:01 GMT) (full text, mbox, link).


Message #10 received at 948@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 948@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#948: X2Go Client fails to create xinerama.conf if screen coordinates have negative values
Date: Thu, 24 Sep 2015 12:17:24 +0200
Wäre interessant, was mein neuer Code in dem Fall macht. Ich vermute,
der käme da mit klar. ;-)

Uli

On Thu, Sep 24, 2015 at 12:13 PM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Package: x2goclient
> Version: 4.0.5.0
> Severity: normal
>
> Hi,
>
> X2Go Client sometimes fails to create the xinerama.conf file in the
> server-side X2Go Session directory. This only happens, if screen coordinates
> have negative values (which happens when software-side swapping the
> client-side monitor layout via xrandr calls).
>
> See error log below (from x2goclient --debug).
>
> Mike
>
>
> """
> x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
> SshProcess object 4: "export DISPLAY=:50;printf '\''-959 -599 1920 1200\n961
> -599 1920 1200'\'' >
> $HOME/.x2go/C-localadmin-50-1443008544_stDMATE_dp24/xinerama.conf"
> x2go-DEBUG-../src/sshprocess.cpp:204> Running
> masterCon->addChannelConnection(this,
> '"e8c82b86-ae92-4b9b-b5ca-2384cde8ed41"', '"bash -c 'echo
> "X2GODATABEGIN:e8c82b86-ae92-4b9b-b5ca-2384cde8ed41"; export
> PATH="/usr/local/bin:/usr/bin:/bin"; export DISPLAY=:50;printf '\''-959 -599
> 1920 1200\n961 -599 1920 1200'\'' >  $HOME/.x2go"');
> x2go-DEBUG-../src/sshmasterconnection.cpp:1284> Locking SSH channel
> connection MUTEX.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1286> Passing new channel
> conenction object to channelConnections.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1288> Unlocking SSH channel
> connection MUTEX.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1476> Creating new channel.
>
> x2go-DEBUG-../src/sshmasterconnection.cpp:1480> New channel:0x7fd99c0125a0
>
> x2go-DEBUG-../src/sshmasterconnection.cpp:1511> Executing remote: "bash -c
> 'echo "X2GODATABEGIN:e8c82b86-ae92-4b9b-b5ca-2384cde8ed41"; export
> PATH="/usr/local/bin:/usr/bin:/bin"; export DISPLAY=:50;printf '\''-959 -599
> 1920 1200\n961 -599 1920 1200'\'' >
> $HOME/.x2go/C-localadmin-50-1443008544_stDMATE_dp24/xinerama.conf; echo
> "X2GODATAEND:e8c82b86-ae92-4b9b-b5ca-2384cde8ed41";'"
>
> x2go-DEBUG-../src/sshmasterconnection.cpp:1534> New exec channel created.
>
> x2go-DEBUG-../src/sshmasterconnection.cpp:1638> EOF on channel
> 0x7fd99c0125a0; SshProcess object: 4
> x2go-DEBUG-../src/sshmasterconnection.cpp:1706> EOF sent.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1710> Channel closed.
> x2go-DEBUG-../src/sshprocess.cpp:517> SSH finished: raw output (stdout):
> "X2GODATABEGIN:e8c82b86-ae92-4b9b-b5ca-2384cde8ed41
> X2GODATAEND:e8c82b86-ae92-4b9b-b5ca-2384cde8ed41
> "
> x2go-DEBUG-../src/sshprocess.cpp:523> Have stderr only, something must be
> wrong.
> x2go-DEBUG-../src/sshprocess.cpp:528> SSH finished: false - "bash: Zeile 0:
> printf: -9: Ungültige Option
> printf: Gebrauch: printf [-v var] Format [Argumente]
> " (4).
>
> """
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> http://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#948; Package x2goclient. (Thu, 24 Sep 2015 11:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 24 Sep 2015 11:10:02 GMT) (full text, mbox, link).


Message #15 received at 948@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: uli42@gmx.de, Ulrich Sibiller <ulrich.sibiller@gmail.com>
Cc: 948@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#948: X2Go Client fails to create xinerama.conf if screen coordinates have negative values
Date: Thu, 24 Sep 2015 11:08:48 +0000
[Message part 1 (text/plain, inline)]
Hi Ulrich,

On  Do 24 Sep 2015 12:17:24 CEST, Ulrich Sibiller wrote:

> Wäre interessant, was mein neuer Code in dem Fall macht. Ich vermute,
> der käme da mit klar. ;-)
>
> Uli

Indeed. Once you have provided a PR on Github, I will merge the new  
Xinerama code into nx-libs 3.6.x.

However, for now we need to get X2Go Client fixed (for legacy reasons).

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#948; Package x2goclient. (Thu, 24 Sep 2015 11:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 24 Sep 2015 11:15:01 GMT) (full text, mbox, link).


Message #20 received at 948@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 948@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#948: X2Go Client fails to create xinerama.conf if screen coordinates have negative values
Date: Thu, 24 Sep 2015 11:14:18 +0000
[Message part 1 (text/plain, inline)]
On  Do 24 Sep 2015 12:13:35 CEST, Mike Gabriel wrote:

> x2go-DEBUG-../src/sshmasterconnection.cpp:1511> Executing remote:  
> "bash -c 'echo "X2GODATABEGIN:e8c82b86-ae92-4b9b-b5ca-2384cde8ed41";  
> export PATH="/usr/local/bin:/usr/bin:/bin"; export  
> DISPLAY=:50;printf '\''-959 -599 1920 1200\n961 -599 1920 1200'\'' >

Little shell experiment:

"""
[mike@minobo ~]$ printf '1 2 3 4\n'
1 2 3 4
[mike@minobo ~]$ printf "1 2 3 4\n"
1 2 3 4
[mike@minobo ~]$ printf "1 -2 3 4\n"
1 -2 3 4
[mike@minobo ~]$ printf "1 2 -3 4\n"
1 2 -3 4
[mike@minobo ~]$ printf "-1 2 3 4\n"
bash: printf: -1: invalid option
printf: usage: printf [-v var] format [arguments]
[mike@minobo ~]$ printf "-1 -2 3 4\n"
bash: printf: -1: invalid option
printf: usage: printf [-v var] format [arguments]
[mike@minobo ~]$ printf '-1 2 3 4\n'
bash: printf: -1: invalid option
printf: usage: printf [-v var] format [arguments]
[mike@minobo ~]$ printf ' -1 2 3 4\n'
 -1 2 3 4
"""

Obviously, the printf command is "buggy" somehow, because it should  
not interpret the "-1" in

  printf "-1 2 3 4\n"

as command line parameter.

I will think about filing a bug against Debian's coreutils package.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and filed, but not forwarded. (Thu, 24 Sep 2015 11:25:01 GMT) (full text, mbox, link).


Message #23 received at 948-quiet@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 948-quiet@bugs.x2go.org
Subject: Fwd: Re: [X2Go-Dev] Bug#948: Bug#948: X2Go Client fails to create xinerama.conf if screen coordinates have negative values
Date: Thu, 24 Sep 2015 13:18:23 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256




- -------- Weitergeleitete Nachricht --------
Betreff: Re: [X2Go-Dev] Bug#948: Bug#948: X2Go Client fails to create
xinerama.conf if screen coordinates have negative values
Datum: Thu, 24 Sep 2015 13:17:44 +0200
Von: Stefan Baur <X2Go-ML-1@baur-itcs.de>
An: x2go-dev@lists.x2go.org

Am 24.09.2015 um 13:14 schrieb Mike Gabriel:
> Obviously, the printf command is "buggy" somehow, because it
> should not interpret the "-1" in
> 
> printf "-1 2 3 4\n"
> 
> as command line parameter.
> 
> I will think about filing a bug against Debian's coreutils 
> package.

Some tools require a "--" as a "no more parameters ahead" delimiter if
you intend to use values that start with "-".

Did you try this?

printf -- "-1 2 3 4\n"

(Not on a Linux machine right now, so can't try it myself)

- -Stefan

_______________________________________________
x2go-dev mailing list
x2go-dev@lists.x2go.org
http://lists.x2go.org/listinfo/x2go-dev


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJWA9v/AAoJEG7d9BjNvlEZ6QMH/05w4sVN+qPRWKCuperGJmeq
lFgi8fMBrGLTyHxXfW8R8sh4k5QA/wwUDWH5upc86Z8jcKknMEAqwsOE7r/H1/Fa
FdwR83w8faKGunaJ21axO0cYa5nuyn/SdhmOuUpMdpG78u1n189luhXmGy3gW4RI
QaU+Mg8bHhIMNbjiY6jS2N5X9dY2iO2nTJAy/Mf+/G1cORVwrqvPvpFBFC74lFrL
bmjYXUL2BQ771ecdU6SA5xshi/ljT1rQ402jdVHRkpiqdoy4kfV/yNL8v/ZHw/ST
Tl3EirVZwvj/gAPJ9zTMAsHpF+d2qo7nkMewK4Y5NzkTXRRVqJ/dVJfOeFL3nYU=
=eW1B
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#948; Package x2goclient. (Thu, 24 Sep 2015 11:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 24 Sep 2015 11:50:03 GMT) (full text, mbox, link).


Message #28 received at 948@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 948-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 948@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Thu, 24 Sep 2015 13:46:14 +0200 (CEST)
tag #948 pending
fixed #948 4.0.5.1
thanks

Hello,

X2Go issue #948 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=164b4fe

The issue will most likely be fixed in src:x2goclient (4.0.5.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 164b4fe05783280ad4cd988c90a8af9d2f3a1cd0
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Sep 24 13:46:09 2015 +0200

    xinerama.conf: Don't choke if screen coordintate lines in xinerama.conf start with a dash ("-"). (Fixes: #948).

diff --git a/debian/changelog b/debian/changelog
index 9bada0b..fb7d6e4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,11 @@ x2goclient (4.0.5.1-0x2go1) UNRELEASED; urgency=low
     - Add support for new style command line options of xfreerdp on direct RDP
       connections.
 
+  [ Mike Gabriel ]
+  * New upstream release (4.0.5.1):
+    - xinerama.conf: Don't choke if screen coordintate lines in xinerama.conf
+      start with a dash ("-"). (Fixes: #948).
+
  -- X2Go Release Manager <git-admin@x2go.org>  Tue, 28 Jul 2015 06:05:27 +0200
 
 x2goclient (4.0.5.0-0x2go1) unstable; urgency=low


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 24 Sep 2015 11:50:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.5.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 24 Sep 2015 11:50:03 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#948. (Thu, 24 Sep 2015 11:50:06 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#948; Package x2goclient. (Mon, 25 Jan 2016 07:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to darrennelson058@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 25 Jan 2016 07:05:02 GMT) (full text, mbox, link).


Message #40 received at 948@bugs.x2go.org (full text, mbox, reply):

From: post@waldemarhof.de
To: Recipients <post@waldemarhof.de>
Subject: Darlehen Angebot 2.0% Pro Jahr. (BG SBLC) Auch Erhältlich
Date: Sun, 24 Jan 2016 17:05:21 -0800
[Message part 1 (text/plain, inline)]
Benötigen Sie persönlichen Kredit? Unternehmenskredite, Autokredit, landwirtschaftliche Darlehen, Schuldenkonsolidierung Darlehen, Wohnungsbaudarlehen?
Sie haben die Gelegenheit. Kontaktieren Sie uns per E-Mail: e-loan@outlook.es
 Wir bieten auch frische Cut Bank Instrument zur Vermietung / Verkauf, wie BG SBLC, MTN, Bankschuldverschreibungen, Bankscheck, T Streifen und andere. Gemietete Instrumente erhalten Sie auf minimale Kosten im Vergleich zu anderen Zahlungsoptionen Darlehensnehmer. Dieses Angebot richtet sich an natürlichen und juristischen Personen.
Für weitere Informationen bitte kontaktieren Sie Herr Darren Nelson per E-mail: darrennelson@outlook.es
 Wir befinden uns in Asien, Europa und Amerika.
 --------------------------
Do you need personal loan? Business loan, Car loan, Agricultural loan, Debt consolidation loan, Home loans?
You have an opportunity. Contact us via e-Mail: e-loan@outlook.es
 We also offer fresh Cut Bank instrument for lease / sale, such as BG SBLC, MTN, Bank Bonds, Bank Draft, T strips and other. Leased Instruments can be obtained at minimal expense to the borrower compared to other banking options. This offer is open to both individuals and legal entities. 
For more info kindly contact Mr. Darren Nelson via e-mail: darrennelson@outlook.es
 We are located in ASIA, EUROPE and America.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#948; Package x2goclient. (Thu, 24 Mar 2016 20:40:14 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 24 Mar 2016 20:40:14 GMT) (full text, mbox, link).


Message #45 received at 948@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 948-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 948@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 24 Mar 2016 21:38:46 +0100 (CET)
close #948
thanks

Hello,

we are very hopeful that X2Go issue #948 reported by you
has been resolved in the new release (4.0.5.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=4f91293625f1b3c12a1fa0a414424557d82fc65a;hp=b69667ef6d5f762b988e756a85a429792871e88c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.1-0x2go1
Status: RELEASE
Date: Thu, 24 Mar 2016 21:35:30 +0100
Fixes: 487 772 860 916 921 927 928 945 948 953 973 987 1000
Changes: 
 x2goclient (4.0.5.1-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream release (4.0.5.1):
     - onmainwindow.cpp: include sshd PID file path option in quotes to support
       whitespaces within the var directory path on Windows. Add comment to
       revisit this later on non-Windows-platforms, too. Fixes: #916.
     - onmainwindow.cpp: do NOT reformat. Reverts most of the previous commit
       because it breaks code logic.
     - res/txt/packs: add adaptive method.
     - {macbuild.sh,x2goclient.pro}: pass MacPorts library and include path's
       to qmake. Due to the qt4-mac's changes, we do not automatically get
       these values automatically "appended" in a usable way anymore.
     - x2gosettings.cpp: let centralSettings () return false on Windows.
     - onmainwindow.cpp: be more precise in slotScDaemonError () regarding
       unknown and undefined errors.
     - onmainwindow.{cpp,h}: don't use a hardcoded path to xmodmap on OS X and
       handle errors more gracefully. Fixes: #487.
     - x2goclient.pro: fix typo --stdlib=... -> -stdlib=... Fixes: #973.
     - onmainwindow.cpp: add some more error handling for parsing the return
       value of x2golistsessions. As it turns out, it can happen that "invalid"
       strings are inserted in there, for instance by the perl interpreter
       itself. We need to skip over these, or the client crashes when splitting
       up the invalid lines.
     - macbuild.sh: add stdlib forcing. Should not be used unless you really
       know what you're doing. If you ponder using this, you probably don't.
     - res/resources.rcc: add Turkish translation file. Fixes: #987.
     - onmainwindow.cpp: use lowercase version of locale. Fixes: #953.
       Fixes loading up the nb_NO translation file, which is actually baked as
       nb_no into the binary.
     - sshmasterconnection.cpp: let challenge-auth-based login attempts
       fallback to normal password authentication if the initial
       challenge-auth-based attempt was unsuccessful.
     - sshmasterconnection.{cpp,h}: support variable number of
       challenge-auth-code-based prompts.
     - sshmasterconnection.cpp: don't check prompts for full string equality -
       a matching prefix is good enough. Amongst others, this fixes errors in
       conditions where the prompt does not contain a trailing whitespace, but
       X2Go Client expects one.
     - sshmasterconnection.cpp: add OATH TOTP prompt prefix. Fixes: #860.
     - res/i18n: refresh translation files again.
     - res/i18n/x2goclient_nb_no.ts: replace "X-Serv..." with "X.Org Server"
       where applicable.
     - res/i18n/x2goclient_nb_no.ts: correctly use "XQuartz" where necessary.
     - res/i18n/x2goclient_nb_no.ts: whitespace only.
     - res/i18n/x2goclient_nb_no.ts: fix up some "x2go" -> "X2Go" errors.
     - res/i18n/x2goclient_nb_no.ts: mark translation strings needing some care
       ("x2go..." -> "X2Go...") as unfinished for later fixup.
     - res/i18n/x2goclient_nb_no.ts: fix (meta data) typo introduced with last
       commit.
     - res/i18n/x2goclient_nl.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_de.ts: fixup translation by respecting the original
       messages' format, fixing typos and general improvements.
     - res/i18n/x2goclient_es.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_sv.ts: fixup translation by respecting the original
       messages' format and other changes.
   * debian/control:
     - Change apache2-dev | libc6-dev build dependency back to apache2-dev
       only. Otherwise, apache2-dev is not installed at all, even though
       theoretically available. The initial reasoning for this dependency type,
       apache2-dev not being available on all Ubuntu/Debian platforms, is not
       true anymore.
     - Change apache2-dev build dependency yet again to apache2-dev |
       apache2-threaded-dev. Turns out all Debian distros but wheezy (currently
       oldstable) have an apache2-dev package. Even oldoldstable (squeeze)
       does...
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.5.1):
     - xsettingswidget: compile only on Windows.
     - Add support for new style command line options of xfreerdp on direct RDP
       connections. (Fixes: #772).
     - Replace "::" with "_" for the desktop link name on Windows.
     - Fix direct RDP in broker mode.
     - Fix crashing client when editing session from SessionManageDialog.
       Fixes: #921.
     - Configure audio input in pulseaudio on Windows.
     - Reconnect ssh broker in case of IO Error.
     - Reformat source onmainwindow.cpp.
     - Disable settings editing if a directory with central settings is exists.
     - Format long names on session buttons.
     - Central settings for Linux, Mac and Windows.
     - Fix VCXSRV parameter to disable PRIMARY clipboard in X2Go Client for Windows. Fixes: #927.
     - Fix reading settings for direct RDP connections in broker mode.
     - Auto accept RSA Keys for SSH Broker with --add-to-known-hosts option.
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.5.1):
     - xinerama.conf: Don't choke if screen coordintate lines in xinerama.conf
       start with a dash ("-"). (Fixes: #948).
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.5.1):
     - Windows: Update bundled Win32 OpenSSL from 1.0.1p to 1.0.1q,
       which fixes the multiple CVEs announced on 2015-12-03.
     - Windows: Upgrade Cygwin components to latest versions as of
       2016-01-21, except for the Cygwin DLL which is still at 1.7.33
       in order to avoid breaking folder sharing and printer sharing
       due to 1.7.34's ACL/permissions changes.
       (authorized_keys file would often have mode 660 instead of 600)
       The latest components include most notably:
         + openssh 6.8p1-1-x2go1 -> 7.1p2-1-x2go1 (security update)
         + openssl 1.0.2d-1 -> 1.0.2e-1 (security update)
     - Windows: Update nxproxy from 3.5.0.31 to 3.5.0.32
     - Windows: Update Unicode NSIS from 2.46.5 to 2.50.0 Pre-release,
       which fixes the DLL hijacking security vuln (NSIS bug 1125.)
     - Windows: Update PuTTY from 0.64 to 0.66, which fixes
       CVE-2015-5309.
     - Windows: Remove libzip. libssh no longer uses it.
 .
   [ Orion Poplawski ]
   * New upstream release (4.0.5.1):
     - ssh{process,masterconnection}.cpp: run bash as a login shell when
       invoking any command remotely. Fixes: #928. Because this opens the door
       for ~/.bash_logout and friend scripts to be executed, which may contain
       calls to ncurses' reset or clear, also set the TERM variable to dump to
       not have unexpected output on stderr at logout time.
     - sshmasterconnection.cpp: check correct variable for validity: public key
       instead of private key (again.) Fixes: #945.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nb_no.ts: update Bokmål (Norway) translation file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.5.1):
     - sshmasterconnection.cpp: don't fetch invalid proxy socket. Fixes: #1000.
       From http://doc.qt.io/qt-4.8/qabstractsocket.html#socketDescriptor:
       The socket descriptor is not available when QAbstractSocket is in
       UnconnectedState.
       So we have to connect to the proxy server first before retrieving the
       native socket.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_sv.ts: update Swedish translation file.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_fr.ts: update French translation file.
 .
   [ Jos Wolfkamp ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nl.ts: update Dutch translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_es.ts: update Spanish translation file.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 24 Mar 2016 20:40:28 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Thu, 24 Mar 2016 20:40:28 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#948. (Thu, 24 Mar 2016 20:40:41 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 22 Apr 2016 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Sep 16 02:20:46 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.